Humanize AI APIAnalyze text with Humanize API using an API key

Analyze text with Humanize API using an API key

curl -X POST "https://api-service.humanizeai.com/api/v1/humanize/analyze-with-api-key" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "text": "Education is a fundamental human right and a powerful catalyst for personal and societal progress. It encompasses the process of acquiring knowledge, skills, values, and understanding through various means, including formal schooling, informal learning, and life experiences.",
  "ultra_mode": true
}'
{
  "text": "example_string"
}
POST
/humanize/analyze-with-api-key
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
textstring
Required

Text to be analyzed

ultra_modeboolean
Required

Flag to enable ultra mode

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Body

application/json
textstring
Required

Text to be analyzed

ultra_modeboolean
Required

Flag to enable ultra mode

Responses

textstring

The analyzed text response